Home & search
Your sites home page, search, news across sites, and finding people.
| Method | Path | Summary |
|---|---|---|
| GET | /api/v2/me | Who you are: the signed-in person and what they can do here |
| GET | /api/v2/home | Your sites home page |
| GET | /api/v2/search | Search sites and pages |
| GET | /api/v2/news | News from your sites |
| GET | /api/v2/people | Find people |
#Who you are: the signed-in person and what they can do here
GET
/api/v2/me- Address
https://<your-org>.brambleit.cloud/sites/api/v2/me- Requires
- Signed-in session,
X-API-Key, or a Bramble app access token (Authorization: Bearer).
Licence: Sites.
Response 200
| Field | Type | Description |
|---|---|---|
user | object | |
user.id | integer | |
user.name | string | |
user.first_name | string | |
user.email | string | |
can_create | boolean | |
colors | array of any | |
icons | array of any |
Example response
JSON
{
"user": {
"id": 42,
"name": "Example name",
"first_name": "Alex",
"email": "alex@example.com"
},
"can_create": true,
"colors": [],
"icons": []
}Example request
Bash
curl -X GET 'https://<your-org>.brambleit.cloud/sites/api/v2/me' \
-H "X-API-Key: $BRAMBLE_KEY"JavaScript
const res = await fetch('https://<your-org>.brambleit.cloud/sites/api/v2/me', {
method: 'GET',
headers: { 'X-API-Key': process.env.BRAMBLE_KEY },
});
const data = await res.json();Python
import os, requests
r = requests.get(
"https://<your-org>.brambleit.cloud/sites/api/v2/me",
headers={"X-API-Key": os.environ["BRAMBLE_KEY"]},
)
r.raise_for_status()
data = r.json()PowerShell
$headers = @{ 'X-API-Key' = $env:BRAMBLE_KEY }
Invoke-RestMethod -Method GET -Uri 'https://<your-org>.brambleit.cloud/sites/api/v2/me' -Headers $headers#Your sites home page
GET
/api/v2/home- Address
https://<your-org>.brambleit.cloud/sites/api/v2/home- Requires
- Signed-in session,
X-API-Key, or a Bramble app access token (Authorization: Bearer).
Licence: Sites.
Response 200
| Field | Type | Description |
|---|---|---|
following | array of any | |
member_of | array of any | |
discover | array of any | |
news | any | |
news_scope | string |
Example response
JSON
{
"following": [],
"member_of": [],
"discover": [],
"news": null,
"news_scope": "string"
}Example request
Bash
curl -X GET 'https://<your-org>.brambleit.cloud/sites/api/v2/home' \
-H "X-API-Key: $BRAMBLE_KEY"JavaScript
const res = await fetch('https://<your-org>.brambleit.cloud/sites/api/v2/home', {
method: 'GET',
headers: { 'X-API-Key': process.env.BRAMBLE_KEY },
});
const data = await res.json();Python
import os, requests
r = requests.get(
"https://<your-org>.brambleit.cloud/sites/api/v2/home",
headers={"X-API-Key": os.environ["BRAMBLE_KEY"]},
)
r.raise_for_status()
data = r.json()PowerShell
$headers = @{ 'X-API-Key' = $env:BRAMBLE_KEY }
Invoke-RestMethod -Method GET -Uri 'https://<your-org>.brambleit.cloud/sites/api/v2/home' -Headers $headers#Search sites and pages
GET
/api/v2/search- Address
https://<your-org>.brambleit.cloud/sites/api/v2/search- Requires
- Signed-in session,
X-API-Key, or a Bramble app access token (Authorization: Bearer).
Licence: Sites.
Query parameters
| Name | Type | Description |
|---|---|---|
q | any |
Response 200
Example request
Bash
curl -X GET 'https://<your-org>.brambleit.cloud/sites/api/v2/search' \
-H "X-API-Key: $BRAMBLE_KEY"JavaScript
const res = await fetch('https://<your-org>.brambleit.cloud/sites/api/v2/search', {
method: 'GET',
headers: { 'X-API-Key': process.env.BRAMBLE_KEY },
});
const data = await res.json();Python
import os, requests
r = requests.get(
"https://<your-org>.brambleit.cloud/sites/api/v2/search",
headers={"X-API-Key": os.environ["BRAMBLE_KEY"]},
)
r.raise_for_status()
data = r.json()PowerShell
$headers = @{ 'X-API-Key' = $env:BRAMBLE_KEY }
Invoke-RestMethod -Method GET -Uri 'https://<your-org>.brambleit.cloud/sites/api/v2/search' -Headers $headers#News from your sites
GET
/api/v2/news- Address
https://<your-org>.brambleit.cloud/sites/api/v2/news- Requires
- Signed-in session,
X-API-Key, or a Bramble app access token (Authorization: Bearer).
Licence: Sites.
Query parameters
| Name | Type | Description |
|---|---|---|
scope | string | following (sites you follow) or org (every site you can read, the default). |
limit | integer | |
offset | integer |
Response 200
| Field | Type | Description |
|---|---|---|
news | any |
Example response
JSON
{
"news": null
}Example request
Bash
curl -X GET 'https://<your-org>.brambleit.cloud/sites/api/v2/news' \
-H "X-API-Key: $BRAMBLE_KEY"JavaScript
const res = await fetch('https://<your-org>.brambleit.cloud/sites/api/v2/news', {
method: 'GET',
headers: { 'X-API-Key': process.env.BRAMBLE_KEY },
});
const data = await res.json();Python
import os, requests
r = requests.get(
"https://<your-org>.brambleit.cloud/sites/api/v2/news",
headers={"X-API-Key": os.environ["BRAMBLE_KEY"]},
)
r.raise_for_status()
data = r.json()PowerShell
$headers = @{ 'X-API-Key' = $env:BRAMBLE_KEY }
Invoke-RestMethod -Method GET -Uri 'https://<your-org>.brambleit.cloud/sites/api/v2/news' -Headers $headers#Find people
GET
/api/v2/people- Address
https://<your-org>.brambleit.cloud/sites/api/v2/people- Requires
- Signed-in session,
X-API-Key, or a Bramble app access token (Authorization: Bearer).
Licence: Sites.
Query parameters
| Name | Type | Description |
|---|---|---|
q | any |
Response 200
| Field | Type | Description |
|---|---|---|
results | array of any |
Example response
JSON
{
"results": []
}Example request
Bash
curl -X GET 'https://<your-org>.brambleit.cloud/sites/api/v2/people' \
-H "X-API-Key: $BRAMBLE_KEY"JavaScript
const res = await fetch('https://<your-org>.brambleit.cloud/sites/api/v2/people', {
method: 'GET',
headers: { 'X-API-Key': process.env.BRAMBLE_KEY },
});
const data = await res.json();Python
import os, requests
r = requests.get(
"https://<your-org>.brambleit.cloud/sites/api/v2/people",
headers={"X-API-Key": os.environ["BRAMBLE_KEY"]},
)
r.raise_for_status()
data = r.json()PowerShell
$headers = @{ 'X-API-Key' = $env:BRAMBLE_KEY }
Invoke-RestMethod -Method GET -Uri 'https://<your-org>.brambleit.cloud/sites/api/v2/people' -Headers $headersWas this page helpful?
Thanks for your feedback.